Subject: bug#35012: Can't install icecat

From: Mark H Weaver <[email-masked]>
Date: Thu, 28 Mar 2019 21:57:21 -0400

Hi Alberto,

> It keeps failing no matter what. I have about 200gb of disk space and
> 8gb of RAM. This is the error I always get:
>
> $ guix package -c 7 --upgrade icecat --substitute-urls="https://ci.guix.info"
> substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
> downloading from https://ci.guix.info/nar/qlwg5lyxnnj68kw2agx4z5fr2b6vxpdc-icecat-60.6.1-guix1.tar.xz...
>
> icecat-60.6.1-guix1.tar.xz  303.0MiB   1.8MiB/s 02:47 [##################] 100.0%
>
> building /gnu/store/jpg44cnp64hzdi2hislnid40jdr3kkhp-rust-1.24.1.drv...
> \ 'install' phasenote: build failure may have been caused by lack of free disk space

As other people have mentioned, this substitute should now be available,
but I wanted to add that builds are performed in /tmp by default, and
that's likely the reason you ran out of disk space, even though your
root partition has plenty of space.

If you'd like builds to be performed somewhere else, e.g. /var/tmp, then
you should arrange for the TMPDIR environment variable to be set
appropriately when launching 'guix-daemon'.

    Regards,
      Mark